Skip to content
Select themeSelect language

`GET /api/apps/{id}/builds` -- the App's most-recent build (ADR 0030 UX3-A). Returns `null` when the App has never been built; the WebIde polls this to learn when a build reaches a terminal state.

GET
/api/apps/{id}/builds
curl --request GET \
--url https://example.com/api/apps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/builds
id
required
string format: uuid
Media typeapplication/json
One of:
null
Examplegenerated
{
"app_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"artifact_sha": "example",
"claimed_at": "2026-04-15T12:00:00Z",
"claimed_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"completed_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"error_message": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"source_sha256": "example",
"status": "example",
"wall_clock_secs": 1,
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}